## ros-noetic-freight-bringup 0.9.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(freight_bringup)

find_package(catkin)
catkin_package()

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-freight-bringup (0.9.3-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Sun, 25 Apr 2021 07:00:00 -0000

ros-noetic-freight-bringup (0.9.2-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 12 Mar 2021 08:00:00 -0000

ros-noetic-freight-bringup (0.9.1-1focal) focal; urgency=high

  * Changes for Noetic/Py3 (#61 <https://github.com/fetchrobotics/fetch_robots/issues/61>)
    
      * Remove some ps3 controller references (no longer supported)
      * Update state_publisher -> robot_state_publisher
      * Changes for compatibility with new drivers:
        Drivers primarily load some params from a json file which
        end-users shouldn't need to modify. This file will live in
        /opt/ros/noetic or the catkin workspace for 99% of usecases.
      * Add explicit setting for fetch teleop param.
    
  * Add soundplay ROS node as systemd service (#53 <https://github.com/fetchrobotics/fetch_robots/issues/53>)
    Functionality existed in 14.04/indigo, and was initially left out.
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 05 Mar 2021 08:00:00 -0000

ros-noetic-freight-bringup (0.8.8-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 21 Aug 2019 07:00:00 -0000

ros-noetic-freight-bringup (0.8.7-1focal) focal; urgency=high

  * Move ds4drv dep from package.xml to sys-config deb (#48 <https://github.com/fetchrobotics/fetch_robots/issues/48>)
    ROS buildfarm doesn't support pip dependencies.
    Also removed outdated sixad line. We don't install sixad at all in 18.04.
  * Update launch files to support PS4 teleop w/ds4drv
    - Teleop: Change default /joy/dev param to /dev/fetch_joy to match
    udev rules
    - Add ps4 flag/arg to default fetch.launch and freight.launch
    - As workaround to a weird bug, renamed 'joy' node to 'joy_node'
  * add joystick deadzone parameter (#42 <https://github.com/fetchrobotics/fetch_robots/issues/42>)
  * Add argument to select launching teleop (#40 <https://github.com/fetchrobotics/fetch_robots/issues/40>)
    - add argument to select launching teleop for Fetch
    - add argument to select launching teleop for freight
  * Contributors: Andrew Parker, Eric Relson, Naoya Yamaguchi

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-noetic-freight-bringup (0.8.6-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 28 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.8.5-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.8.4-1focal) focal; urgency=high

  * Add additional convenience packages as deps (#33 <https://github.com/fetchrobotics/fetch_robots/issues/33>)
    * Add additional convenience packages as deps
    * system config deb pulls in rest of debs
    * Fix netplan configuration approach
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 21 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.8.3-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.8.2-1focal) focal; urgency=high

  * Merge pull request #30 <https://github.com/fetchrobotics/fetch_robots/issues/30> from moriarty/rebased-pr-26
    [bringup] package format v2 (originally #26 <https://github.com/fetchrobotics/fetch_robots/issues/26>)
  * Remove unsupported PMD camera configuration
  * Add ps3joy exec dep; update to package.xml 2.0
    Also removed robot_controllers_msgs for fetch_bringup. This dependency
    is part of fetch_drivers package already.
  * Contributors: Alex Moriarty, Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.8.1-1focal) focal; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.8.0-1focal) focal; urgency=high

  * Add autodocking to default robot launch (#28 <https://github.com/fetchrobotics/fetch_robots/issues/28>)
    Also update package.xml
  * sixad depend not needed anymore on bionic (#24 <https://github.com/fetchrobotics/fetch_robots/issues/24>)
    * sixad depend not needed anymore on bionic
    * remove sixad from fetch_bringup
  * [ros param] adds robot/name robot/type (#22 <https://github.com/fetchrobotics/fetch_robots/issues/22>)
    add robot specific information on rosparam, see https://github.com/ros-infrastructure/rep/pull/104
    Related to: ros-infrastructure/rep#104 <https://github.com/ros-infrastructure/rep/issues/104>
  * Contributors: Eric Relson, Kei Okada, Steffen Fuchs

 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-freight-bringup (0.7.5-1focal) focal; urgency=high

  * Add diagnostics aggregator launch and config
  * Contributors: Eric Relson, Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 12 Jun 2017 07:00:00 -0000

ros-noetic-freight-bringup (0.7.4-1focal) focal; urgency=high

  * Updates for research robots
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 28 Mar 2017 07:00:00 -0000

ros-noetic-freight-bringup (0.7.3-1focal) focal; urgency=high

  * added calibration_date param
  * remove extra nodelet manager
  * Contributors: Michael Ferguson, Niharika Arora

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 26 Aug 2016 07:00:00 -0000

ros-noetic-freight-bringup (0.7.2-1focal) focal; urgency=high

  * add launch_camera argument
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 14 Jun 2016 07:00:00 -0000

ros-noetic-freight-bringup (0.7.1-1focal) focal; urgency=high

  * update to use /dev/ps3joy
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 05 May 2016 07:00:00 -0000



=== debian/control ===
Source: ros-noetic-freight-bringup
Section: misc
Priority: optional
Maintainer: Eric Relson <erelson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-freight-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-aggregator, ros-noetic-fetch-description, ros-noetic-fetch-drivers, ros-noetic-fetch-navigation, ros-noetic-fetch-open-auto-dock, ros-noetic-fetch-teleop, ros-noetic-graft, ros-noetic-joy, ros-noetic-robot-state-publisher, ros-noetic-sick-tim (>= 0.0.4), ros-noetic-sound-play
Description: Bringup for freight
